<!-- $Id: field_def_lmdz.xml 4368 2022-12-05 23:01:16Z lguez $ -->
<field_definition level="1" prec="4" operation="average" freq_op="1ts" enabled=".true." default_value="9.96921e+36">
    
<!--    <field_group id="fields_1D" grid_ref="vertical">  -->
<!--        <field id="Ap"   long_name="Hybrid coordinate: pressure part"    unit="Pa" />  -->
<!--        <field id="Bp"   long_name="Hybrid coordinate: sigma part"    unit="-" />  -->
<!--        <field id="Alt"  long_name="Pseudo-altitude (for an 8km scale height)"    unit="km" />  -->
<!--    </field_group>  -->

    <field_group id="remap_expr" level="_reset_" prec="_reset_" operation="_reset_" freq_op="_reset_" enabled="_reset_" default_value="_reset_">
      <field_group id="remap_1ts" />
      <field_group id="remap_1800s" />
      <field_group id="remap_1h" />
      <field_group id="remap_3h" />
      <field_group id="remap_6h" />
      <field_group id="remap_1d" />
      <field_group id="remap_1mo" />
    </field_group>
    
    <field_group id="coordinates" grid_ref="grid_glo">
        <field id="io_lon"  />
        <field id="io_lat"  />
    </field_group>

    <field_group id="coord_hyb">
        <field id="Ahyb" long_name="Ahyb at level interface"     axis_ref="klevp1" />
        <field id="Ahyb_bounds" long_name="" grid_ref="klevp1_bnds" />
        <field id="Bhyb" long_name="Bhyb at level interface"       axis_ref="klevp1"  />
        <field id="Bhyb_bounds" long_name=""  grid_ref="klevp1_bnds" />
        <field id="Ahyb_mid" long_name="Ahyb at the middle of the level"      axis_ref="klev" />
        <field id="Ahyb_mid_bounds" long_name="" grid_ref="klev_bnds" />
        <field id="Bhyb_mid" long_name="Bhyb at the middle of the level"       axis_ref="klev"  />
        <field id="Bhyb_mid_bounds" long_name=""  grid_ref="klev_bnds" />
    </field_group>
    
    <field_group id="fields_2D" grid_ref="grid_glo">
        <field id="phis"    long_name="Surface geop.height"     unit="m2/s2" />
        <field id="aire"    long_name="Grid area"               unit="m2"    />
        <field id="contfracATM"     long_name="% sfce ter+lic"  unit="-"   /> 
        <field id="contfracOR"      long_name="% sfce terre OR" unit="-" />
        <field id="sza"     long_name="Solar zenithal angle "   unit="deg" />
        <field id="flat"    long_name="Latent heat flux"        unit="W/m2" />
        <field id="slp"     long_name="Sea Level Pressure"      unit="Pa" />
        <field id="ptstar"  long_name="Air Surface Temperature" unit="K" />
        <field id="pt0"     long_name="Standard Air Surface Temperature"      unit="K" />
        <field id="tsol"    long_name="Surface Temperature"     unit="K" />
        <field id="t2m"        long_name="Temperature 2m" unit="K" />
        <field id="tasmax"  field_ref="t2m"  operation="maximum" />
        <field id="tasmin"  field_ref="t2m"  operation="minimum" />
        <field id="t2m_min"    long_name="Temp 2m min"    unit="K" operation="minimum" />
        <field id="t2m_max"    long_name="Temp 2m max"    unit="K" operation="maximum" />
        <field id="t2m_ter"    long_name="Temp 2m ter"    unit="K" />
        <field id="t2m_max_mon"   long_name="Monthly average max 2m temperature" unit="K" />
        <field id="t2m_min_mon"   long_name="Monthly average min 2m temperature" unit="K" />
        <field id="t2m_lic"    long_name="Temp 2m lic"    unit="K" />
        <field id="t2m_oce"    long_name="Temp 2m oce"    unit="K" />
        <field id="t2m_sic"    long_name="Temp 2m sic"    unit="K" />
        <field id="nt2mout"    long_name="nt2m hors intervalle, calc.complet" unit="-" />
        <field id="nq2mout"    long_name="nq2m hors intervalle, calc. complet" unit="-" />
        <field id="nu2mout"    long_name="nu2m hors intervalle, calc. complet" unit="-" />
	    <field id="nt2moutfg"  long_name="nt2m hors intervalle, calc. complet/fg" unit="-" />
	    <field id="nq2moutfg"  long_name="nq2m hors intervalle, calc. complet/fg" unit="-" />
	    <field id="nu2moutfg"  long_name="nu2m hors intervalle, calc. complet/fg" unit="-" />
        <field id="t2m_probsup25"   field_ref="t2m" long_name="Prob. t2m exceeds 25 degC" unit="-"> t2m &gt; 298.15 </field>
        <field id="t2m_probsup28"   field_ref="t2m" long_name="Prob. t2m exceeds 28 degC" unit="-"> t2m &gt; 301.15 </field>
        <field id="t2m_probsup30"   field_ref="t2m" long_name="Prob. t2m exceeds 30 degC" unit="-"> t2m &gt; 303.15 </field>
        <field id="gusts"    long_name="surface gustiness"    unit="m2/s2" />
        <field id="wind10m"    long_name="10-m wind speed"      unit="m/s" />
        <field id="wind10max"  long_name="10m wind speed max"   unit="m/s" operation="maximum"/>
        <field id="wind100m"   long_name="100-m wind speed"      unit="m/s" />
        <field id="woncfr"   long_name="Onshore Wind Capacity factor"      unit="kW/kW_installed" />
        <field id="wofcfr"   long_name="Offshore Wind Capacity factor"     unit="kW/kW_installed" />
        <field id="sfcWindmax" field_ref="wind10m" operation="maximum" />
        <field id="sicf"    long_name="Sea-ice fraction"        unit="-" />
        <field id="q2m"     long_name="Specific humidity 2m"    unit="kg/kg" />
        <field id="ustar"   long_name="Friction velocity"       unit="m/s" />
        <field id="u10m"    long_name="Vent zonal 10m"          unit="m/s" />
        <field id="v10m"    long_name="Vent meridien 10m"       unit="m/s" />
        <field id="psol"    long_name="Surface Pressure"        unit="Pa" />
        <field id="qsurf"   long_name="Surface Air humidity"    unit="kg/kg" />
        <field id="ustar_ter"    long_name="Friction velocity ter"    unit="m/s" />
        <field id="ustar_lic"    long_name="Friction velocity lic"    unit="m/s" />
        <field id="ustar_oce"    long_name="Friction velocity oce"    unit="m/s" />
        <field id="ustar_sic"    long_name="Friction velocity sic"    unit="m/s" />
        <field id="wstar_ter"    long_name="Friction velocity ter"    unit="m/s" />
        <field id="wstar_lic"    long_name="Friction velocity lic"    unit="m/s" />
        <field id="wstar_oce"    long_name="Friction velocity oce"    unit="m/s" />
        <field id="wstar_sic"    long_name="Friction velocity sic"    unit="m/s" />
        <field id="wstar"       long_name="w* convective velocity "    unit="m/s" />
        <field id="u10m_ter"    long_name="Vent Zonal 10m ter"    unit="m/s" />
        <field id="u10m_lic"    long_name="Vent Zonal 10m lic"    unit="m/s" />
        <field id="u10m_oce"    long_name="Vent Zonal 10m oce"    unit="m/s" />
        <field id="u10m_sic"    long_name="Vent Zonal 10m sic"    unit="m/s" />
        <field id="v10m_ter"    long_name="Vent meredien 10m ter"    unit="m/s" />
        <field id="v10m_lic"    long_name="Vent meredien 10m lic"    unit="m/s" />
        <field id="v10m_oce"    long_name="Vent meredien 10m oce"    unit="m/s" />
        <field id="v10m_sic"    long_name="Vent meredien 10m sic"    unit="m/s" />
        <field id="qsol"        long_name="Soil watter content"         unit="mm" />
        <field id="JrNt"        long_name="1 if Day 0 if Night"         unit="-" />
        <field id="cldhjn"      long_name="High-level cloudiness Day"         unit="-" />
        <field id="cldmjn"      long_name="Mid-level cloudiness Day"         unit="-" />
        <field id="cldljn"      long_name="Low-level cloudiness Day"         unit="-" />
        <field id="cldtjn"      long_name="Total cloudiness Day"         unit="-" />
        <field id="rnebjn"      long_name="Cloud fraction in day"         unit="-" />
        <field id="ndayrain"    long_name="Number of dayrain(liq+sol)"  unit="-" operation="instant"/>
        <field id="precip"      long_name="Precip Totale liq+sol"       unit="kg/(s*m2)" />
        <field id="prhmax"      field_ref="precip" operation="maximum"           />
        <field id="rain_fall"   long_name="Precip Totale liq"   unit="kg/(s*m2)" />
        <field id="rain_con"    long_name="Precip convective liq"   unit="kg/(s*m2)" />
        <field id="plul"    long_name="Large-scale Precip."     unit="kg/(s*m2)" />
        <field id="plun"    long_name="Numerical Precip."       unit="kg/(s*m2)" />
        <field id="pluc"    long_name="Convective Precip."      unit="kg/(s*m2)" />
        <field id="snow"    long_name="Snow fall"               unit="kg/(s*m2)" />
        <field id="evap"    long_name="Evaporat"                unit="kg/(s*m2)" />
        <field id="evap_ter"    long_name="evaporation at surface ter"    unit="kg/(s*m2)" />
        <field id="evap_lic"    long_name="evaporation at surface lic"    unit="kg/(s*m2)" />
        <field id="evap_oce"    long_name="evaporation at surface oce"    unit="kg/(s*m2)" />
        <field id="evap_sic"    long_name="evaporation at surface sic"    unit="kg/(s*m2)" />
        <field id="msnow"    long_name="Surface snow amount"    unit="kg/m2" />
        <field id="fsnow"    long_name="Surface snow area fraction"    unit="-" />
        <field id="tops"    long_name="Solar rad. at TOA"    unit="W/m2" />
        <field id="tops0"    long_name="CS Solar rad. at TOA"    unit="W/m2" />
        <field id="topl"    long_name="IR rad. at TOA"    unit="W/m2" />
        <field id="topl0"    long_name="IR rad. at TOA"    unit="W/m2" />
        <field id="SWupTOA"    long_name="SWup at TOA"    unit="W/m2" />
        <field id="SWupTOAclr"    long_name="SWup clear sky at TOA"    unit="W/m2" />
        <field id="SWupTOAcleanclr"    long_name="SWup clean (no aerosol) clear sky at TOA"    unit="W/m2" />
        <field id="SWdnTOA"    long_name="SWdn at TOA"    unit="W/m2" />
        <field id="SWdnTOAclr"    long_name="SWdn clear sky at TOA"    unit="W/m2" />
        <field id="nettop"    long_name="Net dn radiatif flux at TOA"    unit="W/m2" />
        <field id="SWup200"    long_name="SWup at 200mb"    unit="W/m2" />
        <field id="SWup200clr"    long_name="SWup clear sky at 200mb"    unit="W/m2" />
        <field id="SWdn200"    long_name="SWdn at 200mb"    unit="W/m2" />
        <field id="SWdn200clr"    long_name="SWdn clear sky at 200mb"    unit="W/m2" />
        <field id="LWup200"    long_name="LWup at 200mb"    unit="W/m2" />
        <field id="LWup200clr"    long_name="LWup clear sky at 200mb"    unit="W/m2" />
        <field id="LWdn200"    long_name="LWdn at 200mb"    unit="W/m2" />
        <field id="LWdn200clr"    long_name="LWdn clear sky at 200mb"    unit="W/m2" />
        <field id="sols"    long_name="Solar rad. at surf."    unit="W/m2" />
        <field id="sols0"    long_name="Solar rad. at surf."    unit="W/m2" />
        <field id="soll"    long_name="IR rad. at surface"    unit="W/m2" />
        <field id="soll0"    long_name="IR rad. at surface"    unit="W/m2" />
        <field id="radsol"    long_name="Rayonnement au sol"    unit="W/m2" />
        <field id="SWupSFC"    long_name="SWup at surface"    unit="W/m2" />
        <field id="SWupSFCclr"    long_name="SWup clear sky at surface"    unit="W/m2" />
        <field id="SWupSFCcleanclr"    long_name="SWup clean (no aerosol) clear sky at surface"    unit="W/m2" />
        <field id="SWdnSFC"    long_name="SWdn at surface"    unit="W/m2" />
        <field id="SWdnSFCclr"    long_name="SWdn clear sky at surface"    unit="W/m2" />
        <field id="SWdnSFCcleanclr"    long_name="SWdn clean (no aerosol) clear sky at surface"    unit="W/m2" />
        <field id="fdiffSWdnSFC"    long_name="Fraction of diffuse SWdn at surface"    unit="-" />
        <field id="LWupSFC"    long_name="Upwd. IR rad. at surface"    unit="W/m2" />
        <field id="LWupSFCclr"    long_name="CS Upwd. IR rad. at surface"    unit="W/m2" />
        <field id="LWupTOAcleanclr"    long_name="CS clean (no aerosol) Upwd. IR rad. at TOA"    unit="W/m2" />
        <field id="LWdnSFC"    long_name="Down. IR rad. at surface"    unit="W/m2" />
        <field id="LWdnSFCclr"    long_name="Down. CS IR rad. at surface"    unit="W/m2" />
        <field id="LWdnSFCcleanclr"    long_name="Down. CS clean (no aerosol) IR rad. at surface"    unit="W/m2" />
        <field id="bils"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_tke"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_diss"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_ec"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_kinetic"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_enthalp"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_latent"    long_name="Surf. total heat flux"    unit="W/m2" />
        <field id="bils_ech"    long_name="peu importe"    unit="W/m2" />
        <field id="ustr_gwd_hines"    long_name="zonal wind stress Hines gravity waves"    unit="Pa" />
        <field id="vstr_gwd_hines"    long_name="meridional wind stress Hines gravity waves"    unit="Pa" />
        <field id="ustr_gwd_front"    long_name="zonal wind stress fronts gravity waves"    unit="Pa" />
        <field id="vstr_gwd_front"    long_name="meridional wind stress fronts gravity waves"    unit="Pa" />
        <field id="ustr_gwd_rando"    long_name="zonal wind stress random gravity waves"    unit="Pa" />
        <field id="vstr_gwd_rando"    long_name="meridinal wind stress random gravity waves"    unit="Pa" />
        <field id="sens"    long_name="Sensible heat flux"    unit="W/m2" />
        <field id="sens_x"    long_name="sens off-wake"    unit="W/m2" />
        <field id="sens_w"    long_name="sens within-wake"    unit="W/m2" />
        <field id="flat_x"    long_name="flat off-wake"    unit="W/m2" />
        <field id="flat_w"    long_name="flat within-wake"    unit="W/m2" />
        <field id="delta_tsurf"    long_name="Temperature difference (w-x)"    unit="K" enabled="false" /> <!-- ym --field disabled-- delta_tsurf is not conform to the associated grid (the is an arry containing all sub_surface) --> 
        <field id="cdragh_x"    long_name="cdragh off-wake"    unit="-" />
        <field id="cdragh_w"    long_name="cdragh within-wake"    unit="-" />
        <field id="cdragm_x"    long_name="cdragm off-wake"    unit="-" />
        <field id="cdragm_w"    long_name="cdragm within-wake"    unit="-" />
        <field id="kh"    long_name="Kh"    unit="kg/s/m2" />
        <field id="kh_x"    long_name="cdragm off-wake"    unit="kg/s/m2" />
        <field id="kh_w"    long_name="cdragm within-wake"    unit="kg/s/m2" />
        <field id="fder"    long_name="Heat flux derivation"    unit="W/m2" />
        <field id="ffonte"    long_name="Thermal flux for snow melting"    unit="W/m2" />
        <field id="fqcalving"    long_name="Ice Calving"    unit="kg/m2/s" />
        <field id="fqfonte"    long_name="Land ice melt"    unit="kg/m2/s" />
        <field id="runofflic"  long_name="Land ice melt to ocean" unit="kg/m2/s" />
        <field id="mrroli"  long_name="Runoff flux over land ice" unit="kg/m2/s" />
        <field id="taux"    long_name="Zonal wind stress"    unit="Pa" />
        <field id="tauy"    long_name="Meridional wind stress"    unit="Pa" />
        <field id="taux_ter"    long_name="Zonal wind stress ter"    unit="Pa" />
        <field id="taux_lic"    long_name="Zonal wind stress lic"    unit="Pa" />
        <field id="taux_oce"    long_name="Zonal wind stress oce"    unit="Pa" />
        <field id="taux_sic"    long_name="Zonal wind stress sic"    unit="Pa" />
        <field id="tauy_ter"    long_name="Meridional wind stress ter"    unit="Pa" />
        <field id="tauy_lic"    long_name="Meridional wind stress lic"    unit="Pa" />
        <field id="tauy_oce"    long_name="Meridional wind stress oce"    unit="Pa" />
        <field id="tauy_sic"    long_name="Meridional wind stress sic"    unit="Pa" />
        <field id="pourc_ter"    long_name="% ter"    unit="%" />
        <field id="pourc_lic"    long_name="% lic"    unit="%" />
        <field id="pourc_oce"    long_name="% oce"    unit="%" />
        <field id="pourc_sic"    long_name="% sic"    unit="%" />
        <field id="fract_ter"    long_name="Fraction ter"    unit="1" />
        <field id="fract_lic"    long_name="Fraction lic"    unit="1" />
        <field id="fract_oce"    long_name="Fraction oce"    unit="1" />
        <field id="fract_sic"    long_name="Fraction sic"    unit="1" />
        <field id="tsol_ter"    long_name="Temperature ter"    unit="K" />
        <field id="tsol_lic"    long_name="Temperature lic"    unit="K" />
        <field id="tsol_oce"    long_name="Temperature oce"    unit="K" />
        <field id="tsol_sic"    long_name="Temperature sic"    unit="K" />
        <field id="evappot_ter"    long_name="Potential evaporation ter"    unit="kg/(m2*s)" />
        <field id="evappot_lic"    long_name="Potential evaporation lic"    unit="kg/(m2*s)" />
        <field id="evappot_oce"    long_name="Potential evaporation oce"    unit="kg/(m2*s)" />
        <field id="evappot_sic"    long_name="Potential evaporation sic"    unit="kg/(m2*s)" />
        <field id="sens_ter"    long_name="Sensible heat flux ter"    unit="W/m2" />
        <field id="sens_lic"    long_name="Sensible heat flux lic"    unit="W/m2" />
        <field id="sens_oce"    long_name="Sensible heat flux oce"    unit="W/m2" />
        <field id="sens_sic"    long_name="Sensible heat flux sic"    unit="W/m2" />
        <field id="lat_ter"    long_name="Latent heat flux ter"    unit="W/m2" />
        <field id="lat_lic"    long_name="Latent heat flux lic"    unit="W/m2" />
        <field id="lat_oce"    long_name="Latent heat flux oce"    unit="W/m2" />
        <field id="lat_sic"    long_name="Latent heat flux sic"    unit="W/m2" />
        <field id="flw_ter"    long_name="LW ter"    unit="W/m2" />
        <field id="flw_lic"    long_name="LW lic"    unit="W/m2" />
        <field id="flw_oce"    long_name="LW oce"    unit="W/m2" />
        <field id="flw_sic"    long_name="LW sic"    unit="W/m2" />
        <field id="fsw_ter"    long_name="SW ter"    unit="W/m2" />
        <field id="fsw_lic"    long_name="SW lic"    unit="W/m2" />
        <field id="fsw_oce"    long_name="SW oce"    unit="W/m2" />
        <field id="fsw_sic"    long_name="SW sic"    unit="W/m2" />
        <field id="wbils_ter"    long_name="Bilan sol ter"    unit="W/m2" />
        <field id="wbils_lic"    long_name="Bilan sol lic"    unit="W/m2" />
        <field id="wbils_oce"    long_name="Bilan sol oce"    unit="W/m2" />
        <field id="wbils_sic"    long_name="Bilan sol sic"    unit="W/m2" />
        <field id="wbilo_ter"    long_name="Bilan eau ter"    unit="kg/(m2*s)" />
        <field id="wbilo_lic"    long_name="Bilan eau lic"    unit="kg/(m2*s)" />
        <field id="wbilo_oce"    long_name="Bilan eau oce"    unit="kg/(m2*s)" />
        <field id="wbilo_sic"    long_name="Bilan eau sic"    unit="kg/(m2*s)" />
        <field id="wevap_ter"    long_name="Evap eau ter"    unit="kg/(m2*s)" />
        <field id="wevap_lic"    long_name="Evap eau lic"    unit="kg/(m2*s)" />
        <field id="wevap_oce"    long_name="Evap eau oce"    unit="kg/(m2*s)" />
        <field id="wevap_sic"    long_name="Evap eau sic"    unit="kg/(m2*s)" />
        <field id="wrain_ter"    long_name="Pluie eau ter"    unit="kg/(m2*s)" />
        <field id="wrain_lic"    long_name="Pluie eau lic"    unit="kg/(m2*s)" />
        <field id="wrain_oce"    long_name="Pluie eau oce"    unit="kg/(m2*s)" />
        <field id="wrain_sic"    long_name="Pluie eau sic"    unit="kg/(m2*s)" />
        <field id="wsnow_ter"    long_name="Neige eau ter"    unit="kg/(m2*s)" />
        <field id="wsnow_lic"    long_name="Neige eau lic"    unit="kg/(m2*s)" />
        <field id="wsnow_oce"    long_name="Neige eau oce"    unit="kg/(m2*s)" />
        <field id="wsnow_sic"    long_name="Neige eau sic"    unit="kg/(m2*s)" />
        <field id="cdrm"    long_name="Momentum drag coef."    unit="-" />
        <field id="cdrh"    long_name="Heat drag coef."    unit="-" />
        <field id="cldl"    long_name="Low-level cloudiness"    unit="-" />
        <field id="cldm"    long_name="Mid-level cloudiness"    unit="-" />
        <field id="cldh"    long_name="High-level cloudiness"    unit="-" />
        <field id="cldt"    long_name="Total cloudiness"    unit="-" />
        <field id="cldq"    long_name="Cloud liquid water path"    unit="kg/m2" />
        <field id="lwp"    long_name="Cloud water path"    unit="kg/m2" />
        <field id="iwp"    long_name="Cloud ice water path"    unit="kg/m2" />
        <field id="ue"    long_name="Zonal energy transport"    unit="-" />
        <field id="ve"    long_name="Merid energy transport"    unit="-" />
        <field id="uq"    long_name="Zonal humidity transport"    unit="-" />
        <field id="vq"    long_name="Merid humidity transport"    unit="-" />
        <field id="uwat"    long_name="Zonal total water transport"    unit="-" />
        <field id="vwat"    long_name="Merid total water transport"    unit="-" />
        <field id="cape"    long_name="Conv avlbl pot ener"    unit="J/kg" />
        <field id="pbase"    long_name="Cld base pressure"    unit="Pa" />
        <field id="ptop"    long_name="Cld top pressure"    unit="Pa" />
        <field id="fbase"    long_name="Cld base mass flux"    unit="kg/m2/s" />
        <field id="plcl"    long_name="Lifting Condensation Level"    unit="hPa" enabled=".false." />
        <field id="plfc"    long_name="Level of Free Convection"    unit="hPa" />
        <field id="wbeff"    long_name="Conv. updraft velocity at LFC (inf100)"    unit="m/s" />
        <field id="convoccur"    long_name="Convective occurence"    unit="-" />
        <field id="prw"    long_name="Precipitable water"    unit="kg/m2" />
        <field id="prlw"   long_name="Precipitable liquid water"  unit="kg/m2" />
        <field id="prsw"   long_name="Precipitable solid water"  unit="kg/m2" />
        <field id="s_pblh"    long_name="Boundary Layer Height"    unit="m" />
        <field id="s_pblt"    long_name="t at Boundary Layer Height"    unit="K" />
        <field id="s_lcl"    long_name="Condensation level"    unit="m" />
        <field id="s_therm"    long_name="Exces du thermique"    unit="K" />
        <field id="slab_bils_oce"    long_name="Bilan au sol sur ocean slab"    unit="W/m2" />
        <field id="ale_bl"    long_name="ALE BL"    unit="m2/s2" />
        <field id="alp_bl"    long_name="ALP BL"    unit="m2/s2" />
        <field id="ale_wk"    long_name="ALE WK"    unit="m2/s2" />
        <field id="alp_wk"    long_name="ALP WK"    unit="m2/s2" />
        <field id="ale"    long_name="ALE"    unit="m2/s2" />
        <field id="alp"    long_name="ALP"    unit="W/m2" />
        <field id="cin"    long_name="Convective INhibition"    unit="m2/s2" />
        <field id="wape"    long_name="-"    unit="-" />
        <field id="n2"    long_name="Nombre de panaches de type 2"    unit="-" />
        <field id="s2"    long_name="Surface moyenne des panaches de type 2"    unit="m2" />
        <field id="proba_notrig"    long_name="Probabilite de non-declenchement"    unit="-" />
        <field id="random_notrig"    long_name="Tirage aleatoire de non-declenchement"    unit="-" />
        <field id="cv_gen"    long_name="Cumulonimbus genesis"    unit="1/(m2 s)" />
        <field id="ale_bl_stat"    long_name="ALE_BL_STAT"    unit="m2/s2" />
        <field id="ale_bl_trig"    long_name="ALE_BL_STAT + Condition P>Pseuil"    unit="m2/s2" />
        <field id="alp_bl_det"    long_name="ALP_BL_DET"    unit="W/m2" />
        <field id="alp_bl_fluct_m"    long_name="ALP_BL_FLUCT_M"    unit="W/m2" />
        <field id="alp_bl_fluct_tke"    long_name="ALP_BL_FLUCT_TKE"    unit="W/m2" />
        <field id="alp_bl_conv"    long_name="ALP_BL_CONV"    unit="W/m2" />
        <field id="alp_bl_stat"    long_name="ALP_BL_STAT"    unit="W/m2" />
        <field id="u850"    long_name="Zonal wind 850hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u700"    long_name="Zonal wind 700hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u500"    long_name="Zonal wind 500hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u200"    long_name="Zonal wind 200hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u100"    long_name="Zonal wind 100hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u50"     long_name="Zonal wind 50hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="u10"     long_name="Zonal wind 10hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v850"    long_name="Meridional wind 850hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v700"    long_name="Meridional wind 700hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v500"    long_name="Meridional wind 500hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v200"    long_name="Meridional wind 200hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v100"    long_name="Meridional wind 100hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v50"     long_name="Meridional wind 50hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="v10"    long_name="Meridional wind 10hPa"    unit="m/s" detect_missing_value=".true." />
        <field id="w850"    long_name="Vertical wind 850hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w700"    long_name="Vertical wind 700hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w500"    long_name="Vertical wind 500hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w200"    long_name="Vertical wind 200hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w100"    long_name="Vertical wind 100hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w50"    long_name="Vertical wind 50hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="w10"    long_name="Vertical wind 10hPa"    unit="Pa/s" detect_missing_value=".true." />
        <field id="t850"    long_name="Temperature 850hPa"    unit="K" detect_missing_value=".true." />
        <field id="t700"    long_name="Temperature 700hPa"    unit="K" detect_missing_value=".true." />
        <field id="t500"    long_name="Temperature 500hPa"    unit="K" detect_missing_value=".true." />
        <field id="t200"    long_name="Temperature 200hPa"    unit="K" detect_missing_value=".true." />
        <field id="t100"    long_name="Temperature 100hPa"    unit="K" detect_missing_value=".true." />
        <field id="t50"    long_name="Temperature 50hPa"    unit="K" detect_missing_value=".true." />
        <field id="t10"    long_name="Temperature 10hPa"    unit="K" detect_missing_value=".true." />
        <field id="q850"    long_name="Specific humidity 850hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q700"    long_name="Specific humidity 700hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q500"    long_name="Specific humidity 500hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q200"    long_name="Specific humidity 200hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q100"    long_name="Specific humidity 100hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q50"    long_name="Specific humidity 50hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="q10"    long_name="Specific humidity 10hPa"    unit="kg/kg" detect_missing_value=".true." />
        <field id="z850"    long_name="Geopotential height 850hPa"    unit="m" detect_missing_value=".true." />
        <field id="z700"    long_name="Geopotential height 700hPa"    unit="m" detect_missing_value=".true." />
        <field id="z500"    long_name="Geopotential height 500hPa"    unit="m" detect_missing_value=".true." />
        <field id="z200"    long_name="Geopotential height 200hPa"    unit="m" detect_missing_value=".true." />
        <field id="z100"    long_name="Geopotential height 100hPa"    unit="m" detect_missing_value=".true." />
        <field id="z50"    long_name="Geopotential height 50hPa"    unit="m" detect_missing_value=".true." />
        <field id="z10"    long_name="Geopotential height 10hPa"    unit="m" detect_missing_value=".true." />
        <field id="t_oce_sic"    long_name="Temp mixte oce-sic"    unit="K" />
        <field id="weakinv"    long_name="Weak inversion"    unit="-" />
        <field id="dthmin"    long_name="dTheta mini"    unit="K/m" />
        <field id="u10_ter"    long_name="-"    unit="-" />
        <field id="u10_lic"    long_name="-"    unit="-" />
        <field id="u10_oce"    long_name="-"    unit="-" />
        <field id="u10_sic"    long_name="-"    unit="-" />
        <field id="v10_ter"    long_name="-"    unit="-" />
        <field id="v10_lic"    long_name="-"    unit="-" />
        <field id="v10_oce"    long_name="-"    unit="-" />
        <field id="v10_sic"    long_name="-"    unit="-" />
        <field id="rh2m"    long_name="Relative humidity at 2m"    unit="%" />
        <field id="rh2m_max"    field_ref="rh2m" operation="maximum" enabled="false"/> <!-- ym Problem : field is disabled check rh2m_min has a reference (field_ref) to rh2 but is also sent by model which is not compatible-->
        <field id="rh2m_min"    field_ref="rh2m" operation="minimum" enabled="false"/> <!-- ym Problem : field is disabled check rh2m_max has a reference (field_ref) to rh2 but is also sent by model which is not compatible-->
<!--        <field id="rh2m_min"    long_name="Min Relative humidity at 2m"    unit="%" /> -->
<!--        <field id="rh2m_max"    long_name="Max Relative humidity at 2m"    unit="%" /> -->
        <field id="qsat2m"    long_name="Saturant humidity at 2m"    unit="%" />
        <field id="tpot"    long_name="Surface air potential temperature"    unit="K" />
        <field id="tpote"    long_name="Surface air equivalent potential temperature"    unit="K" />
        <field id="SWnetOR"    long_name="Sfce net SW radiation OR"    unit="W/m2" />
        <field id="SWdownOR"    long_name="Sfce incident SW radiation OR"    unit="W/m2" />
        <field id="LWdownOR"    long_name="Sfce incident LW radiation OR"    unit="W/m2" />
        <field id="snowl"    long_name="Solid Large-scale Precip."    unit="kg/(m2*s)" />
        <field id="cape_max"    long_name="CAPE max."    unit="J/kg" operation="maximum"/>
        <field id="solldown"    long_name="Down. IR rad. at surface"    unit="W/m2" />
        <field id="dtsvdfo"    long_name="Boundary-layer dTs(o)"    unit="K/s" />
        <field id="dtsvdft"    long_name="Boundary-layer dTs(t)"    unit="K/s" />
        <field id="dtsvdfg"    long_name="Boundary-layer dTs(g)"    unit="K/s" />
        <field id="dtsvdfi"    long_name="Boundary-layer dTs(g)"    unit="K/s" />
        <field id="rugs"    long_name="rugosity"    unit="-" />
        <field id="z0m"    long_name="roughness length, momentum"    unit="-" />
        <field id="z0h"    long_name="roughness length, enthalpy"    unit="-" />
        <field id="topswad"    long_name="ADE at TOA"    unit="W/m2" />
        <field id="topswad0"    long_name="ADE clear-sky at TOA"    unit="W/m2" />
        <field id="topswai"    long_name="AIE at TOA"    unit="W/m2" />
        <field id="solswad"    long_name="ADE at SRF"    unit="W/m2" />
        <field id="solswad0"    long_name="ADE clear-sky at SRF"    unit="W/m2" />
        <field id="solswai"    long_name="AIE at SFR"    unit="W/m2" />
        <field id="toplwad"    long_name="LW-ADE at TOA" unit="W/m2" />
        <field id="toplwad0"    long_name="LW-ADE clear-sky at TOA"    unit="W/m2" />
        <field id="toplwai"    long_name="LW-AIE clear-sky at TOA"    unit="W/m2" />
        <field id="sollwad"    long_name="LW-ADE at SRF" unit="W/m2" />
        <field id="sollwad0"    long_name="LW-ADE clear-sky at SRF"    unit="W/m2" />
        <field id="sollwai"    long_name="LW-AIE at SRF" unit="W/m2" />
        <field id="od550_ASBCM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_ASPOMM"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_ASSO4M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_CSSO4M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_SSSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_ASSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_CSSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_CIDUSTM"  long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_AIBCM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_AIPOMM"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_ASNO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_CSNO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_CINO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od550_STRAT"    long_name="Aerosol Optical depth at 550 nm "    unit="1"  />
        <field id="dryod550_ASBCM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_ASPOMM"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_ASSO4M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_CSSO4M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_SSSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_ASSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_CSSSM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_CIDUSTM"  long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_AIBCM"    long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_AIPOMM"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_ASNO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_CSNO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="dryod550_CINO3M"   long_name="Aerosol Optical depth at 550 nm "    unit="1" />
        <field id="od_10um_STRAT"  long_name="Stratospheric Aerosol Optical depth at 10 um" unit="-" />
        <field id="od443aer"    long_name="Total aerosol optical depth at 440nm" unit="-" />
        <field id="od550aer"    long_name="Total aerosol optical depth at 550nm" unit="-" />
        <field id="dryod550aer" long_name="Total dry aerosol optical depth at 550nm"    unit="-" />
        <field id="od865aer"    long_name="Total aerosol optical depth at 870nm"    unit="-" />
        <field id="abs550aer"   long_name="Absorption aerosol optical depth at 550nm"    unit="-" />
        <field id="od550lt1aer" long_name="Fine mode optical depth"    unit="-" />
        <field id="sconcso4"    long_name="Surface Concentration of Sulfate "    unit="kg/m3" />
        <field id="sconcno3"    long_name="Surface Concentration of Nitrate "    unit="kg/m3" />
        <field id="sconcoa"     long_name="Surface Concentration of Organic Aerosol "    unit="kg/m3" />
        <field id="sconcbc"     long_name="Surface Concentration of Black Carbon "    unit="kg/m3" />
        <field id="sconcss"     long_name="Surface Concentration of Sea Salt "    unit="kg/m3" />
        <field id="sconcdust"   long_name="Surface Concentration of Dust "    unit="kg/m3" />
        <field id="loadso4"   long_name="Column Load of Sulfate "    unit="kg/m2" />
        <field id="loadoa"    long_name="Column Load of Organic Aerosol "    unit="kg/m2" />
        <field id="loadbc"    long_name="Column Load of Black Carbon "    unit="kg/m2" />
        <field id="loadss"    long_name="Column Load of Sea Salt "    unit="kg/m2" />
        <field id="loaddust"  long_name="Column Load of Dust "    unit="kg/m2" />
        <field id="loadno3"   long_name="Column Load of Nitrate " unit="kg/m2" />
        <field id="swtoaas_nat"    long_name="Natural aerosol radiative forcing all-sky at TOA"    unit="W/m2" />
        <field id="swsrfas_nat"    long_name="Natural aerosol radiative forcing all-sky at SRF"    unit="W/m2" />
        <field id="swtoacs_nat"    long_name="Natural aerosol radiative forcing clear-sky at TOA"    unit="W/m2" />
        <field id="swsrfcs_nat"    long_name="Natural aerosol radiative forcing clear-sky at SRF"    unit="W/m2" />
        <field id="swtoaas_ant"    long_name="Anthropogenic aerosol radiative forcing all-sky at TOA"    unit="W/m2" />
        <field id="swsrfas_ant"    long_name="Anthropogenic aerosol radiative forcing all-sky at SRF"    unit="W/m2" />
        <field id="swtoacs_ant"    long_name="Anthropogenic aerosol radiative forcing clear-sky at TOA"    unit="W/m2" />
        <field id="swsrfcs_ant"    long_name="Anthropogenic aerosol radiative forcing clear-sky at SRF"    unit="W/m2" />
        <field id="swtoacf_nat"    long_name="Natural aerosol impact on cloud radiative forcing at TOA"    unit="W/m2" />
        <field id="swsrfcf_nat"    long_name="Natural aerosol impact on cloud radiative forcing  at SRF"    unit="W/m2" />
        <field id="swtoacf_ant"    long_name="Anthropogenic aerosol impact on cloud radiative forcing at TOA"    unit="W/m2" />
        <field id="swsrfcf_ant"    long_name="Anthropogenic aerosol impact on cloud radiative forcing at SRF"    unit="W/m2" />
        <field id="swtoacf_zero"    long_name="Cloud radiative forcing (allsky-clearsky fluxes) at TOA"    unit="W/m2" />
        <field id="swsrfcf_zero"    long_name="Cloud radiative forcing (allsky-clearsky fluxes) at SRF"    unit="W/m2" />
        <field id="cldncl"    long_name="CDNC at top of liquid water cloud"    unit="m-3" />
        <field id="reffclwtop"    long_name="Droplet effective radius at top of liquid water cloud"    unit="m" />
        <field id="cldnvi"    long_name="Column Integrated Cloud Droplet Number"    unit="m-2" />
        <field id="lcc"    long_name="Cloud liquid fraction at top of cloud"    unit="1" />
        <field id="lcc_limit"          field_ref="lcc" > lcc /= 0 ? lcc : 1e-15  </field>
        <field id="wvapp"    long_name="-"    unit="-" />
        <field id="albe_ter"    long_name="Albedo VIS surf. ter"    unit="-" />
        <field id="albe_lic"    long_name="Albedo VIS surf. lic"    unit="-" />
        <field id="albe_oce"    long_name="Albedo VIS surf. oce"    unit="-" />
        <field id="albe_sic"    long_name="Albedo VIS surf. sic"    unit="-" />
        <field id="ages_ter"    long_name="Snow age ter"    unit="day" />
        <field id="ages_lic"    long_name="Snow age lic"    unit="day" />
        <field id="ages_oce"    long_name="Snow age oce"    unit="day" />
        <field id="ages_sic"    long_name="Snow age sic"    unit="day" />
        <field id="snow_ter"    long_name="Snow"    unit="kg/m2" />
        <field id="snow_lic"    long_name="Snow"    unit="kg/m2" />
        <field id="snow_oce"    long_name="Snow"    unit="kg/m2" />
        <field id="snow_sic"    long_name="Snow"    unit="kg/m2" />
        <field id="rugs_ter"    long_name="Surface roughness ter"    unit="m" />
        <field id="rugs_lic"    long_name="Surface roughness lic"    unit="m" />
        <field id="rugs_oce"    long_name="Surface roughness oce"    unit="m" />
        <field id="rugs_sic"    long_name="Surface roughness sic"    unit="m" />
        <field id="z0m_ter"    long_name="roughness length, momentum ter"    unit="m" />
        <field id="z0m_lic"    long_name="roughness length, momentum lic"    unit="m" />
        <field id="z0m_oce"    long_name="roughness length, momentum oce"    unit="m" />
        <field id="z0m_sic"    long_name="roughness length, momentum sic"    unit="m" />
        <field id="z0h_ter"    long_name="roughness length, enthalpy ter"    unit="m" />
        <field id="z0h_lic"    long_name="roughness length, enthalpy lic"    unit="m" />
        <field id="z0h_oce"    long_name="roughness length, enthalpy oce"    unit="m" />
        <field id="z0h_sic"    long_name="roughness length, enthalpy sic"    unit="m" />
        <field id="sens_rain_oce"  long_name="Sensible heat flux associated withliquid prec. over ocean"    unit="W/m2" />
        <field id="sens_rain_sic"  long_name="Sensible heat flux associated with liquid prec. over seaice"    unit="W/m2" />
        <field id="sens_snow_oce"  long_name="Sensible heat flux associated with solid prec. over ocean"    unit="W/m2" />
        <field id="sens_snow_sic"  long_name="Sensible heat flux associated with solid prec. over seaice"    unit="W/m2" />
        <field id="lat_rain_oce"  long_name="Latent heat flux associated with liquid prec. over ocean"    unit="W/m2" />
        <field id="lat_rain_sic"  long_name="Latent heat flux associated with liquid prec. over seaice"    unit="W/m2" />
        <field id="lat_snow_oce"  long_name="Latent heat flux associated with solid prec. over ocean"    unit="W/m2" />
        <field id="lat_snow_sic"  long_name="Latent heat flux associated with solid prec. over seaice"    unit="W/m2" />
        <field id="alb1"    long_name="Surface VIS albedo"    unit="-" />
        <field id="alb2"    long_name="Surface Near IR albedo"    unit="-" />
        <field id="ftime_con"    long_name="Fraction of time convection Occurs"    unit="-" operation="instant" />
        <field id="ftime_deepcv"    long_name="Fraction of time deep convection Occurs"    unit="-" />
        <field id="wake_h"    long_name="wake height"    unit="m" />
        <field id="wake_dens"    long_name="number of wakes per m2"    unit="1/m2" />
        <field id="wake_s"    long_name="wake_s"    unit="-" />
        <field id="epmax"    long_name="epmax en fn cape"    unit="su" />
        <field id="plulth"    long_name="Rainfall therm."    unit="K/s" />
        <field id="plulst"    long_name="Rainfall strat."    unit="K/s" />
        <field id="lmaxth"    long_name="Upper level thermals"    unit="-" />
        <field id="ftime_th"    long_name="Fraction of time Shallow convection occurs"    unit="-" />
        <field id="f0_th"    long_name="Thermal closure mass flux"    unit="K/s" />
        <field id="zmax_th"    long_name="Thermal plume height"    unit="K/s" />
        <field id="rsut4co2"    long_name="TOA Out SW in 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rlut4co2"    long_name="TOA Out LW in 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsutcs4co2"    long_name="TOA Out CS SW in 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rlutcs4co2"    long_name="TOA Out CS LW in 4xCO2 atmosphere"    unit="W/m2" />
        <field id="dqphy2d"    long_name="Physics dQ"    unit="(kg/m2)/s" />
        <field id="dqlphy2d"    long_name="Physics dQL"    unit="(kg/m2)/s" />
        <field id="dqsphy2d"    long_name="Physics dQS"    unit="(kg/m2)/s" />
        <field id="dqdyn2d"    long_name="Dynamics dQ"    unit="(kg/m2)/s" />
        <field id="dqldyn2d"   long_name="Dynamics dQL"    unit="(kg/m2)/s" />
        <field id="dqsdyn2d"   long_name="Dynamics dQS"    unit="(kg/m2)/s" />
        <field id="dqcon2d"    long_name="Convection dQ"    unit="(kg/m2)/s" />
        <field id="dqwak2d"    long_name="Wake dQ"    unit="(kg/m2)/s" />
        <field id="dqlsc2d"    long_name="Condensation dQ"    unit="(kg/m2)/s" />
        <field id="dqvdf2d"    long_name="Boundary-layer dQ"    unit="(kg/m2)/s" />
        <field id="dqeva2d"    long_name="Reevaporation dQ"    unit="(kg/m2)/s" />
        <field id="dqlscth2d"    long_name="dQ therm."    unit="(kg/m2)/s" />
        <field id="dqlscst2d"    long_name="dQ strat."    unit="(kg/m2)/s" />
        <field id="dqthe2d"    long_name="Thermal dQ"    unit="(kg/m2)/s" />
        <field id="dqajs2d"    long_name="Dry ajdust dQ"    unit="(kg/m2)/s" />
        <field id="tatp"    long_name="Dry ajdust dQ"    unit="(kg/m2)/s" />
        <field id="p_tropopause"  long_name="Tropopause pressure" unit="Pa"   detect_missing_value=".true."  />
        <field id="z_tropopause"  long_name="Tropopause height" unit="m"      detect_missing_value=".true."  />
        <field id="t_tropopause"  long_name="Tropopause temperature" unit="K" detect_missing_value=".true."  />
        <field id="colO3_strat"    long_name="Ozone stratospheric column"     unit="DU" />             <!-- Added ThL -->
        <field id="colO3_trop"     long_name="Ozone tropospheric column"      unit="DU" />             <!-- Added ThL -->
        <field id="flx_co2_land"   long_name="CO2 flux from land"             unit="kg CO2/m2/s" />    <!-- Added OB -->
        <field id="flx_co2_ocean"  long_name="CO2 flux from ocean"            unit="kg CO2/m2/s" />    <!-- Added OB -->
        <field id="flx_co2_ocean_cor"  long_name="correction of the CO2 flux from ocean"          unit="kg CO2/m2/s" />    <!-- Added PC -->
        <field id="flx_co2_land_cor"   long_name="correction of the CO2 flux from land"           unit="kg CO2/m2/s" />    <!-- Added PC -->
        <field id="flx_co2_ff"     long_name="CO2 flux from ff"               unit="kg CO2/m2/s" />    <!-- Added OB -->
        <field id="flx_co2_bb"     long_name="CO2 flux from bb"               unit="kg CO2/m2/s" />    <!-- Added OB -->
        <field id="delta_SST" long_name="ocean-air interface temperature minus bulk SST" unit="K" detect_missing_value=".true." />
        <field id="delta_sal"
	       long_name="ocean-air interface salinity minus bulk salinity"
	       unit="ppt" detect_missing_value=".true." />
        <field id="dS_ns" long_name="delta salinity near surface" unit="ppt" detect_missing_value=".true." />
        <field id="dT_ns" long_name="sub-skin temperature minus foundation temperature" unit="K" detect_missing_value=".true." />
        <field id="dTer" 	       long_name="interface temperature minus sub-skin temperature" 	       unit="K" detect_missing_value=".true." />
        <field id="dSer"
	       long_name="salinity variation in the diffusive microlayer"
 	       unit="ppt" detect_missing_value=".true." />
        <field id="tkt" long_name="thickness of thermal microlayer" 	       unit="m" 	       detect_missing_value=".true." />
        <field id="tks" long_name="thickness of salinity microlayer" 	       unit="m" 	       detect_missing_value=".true." />
        <field id="taur" long_name="momentum flux due to rain" 	       unit="Pa" 	       detect_missing_value=".true." />
        <field id="SSS" long_name="bulk sea-surface salinity" unit="ppt" detect_missing_value=".true." />
    </field_group>

    <field_group id="fields_3D" grid_ref="grid_glo_presnivs" >
        <field id="tke"    long_name="TKE"    unit="m2/s2" />
	<field id="tke_dissip" long_name="TKE DISSIPATION" unit="m2/s3" />
        <field id="tke_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="m2/s2" />
        <field id="tke_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="m2/s2" />
        <field id="tke_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="m2/s2" />
        <field id="tke_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="m2/s2" />
        <field id="tke_max_ter"    long_name="Max Turb. Kinetic Energy ter"    unit="m2/s2" operation="maximum"/>
        <field id="tke_max_lic"    long_name="Max Turb. Kinetic Energy lic"    unit="m2/s2" operation="maximum"/>
        <field id="tke_max_oce"    long_name="Max Turb. Kinetic Energy oce"    unit="m2/s2" operation="maximum"/>
        <field id="tke_max_sic"    long_name="Max Turb. Kinetic Energy sic"    unit="m2/s2" operation="maximum"/>
        <field id="l_mix_ter"    long_name="PBL mixing length ter"    unit="m" />
        <field id="l_mix_lic"    long_name="PBL mixing length lic"    unit="m" />
        <field id="l_mix_oce"    long_name="PBL mixing length oce"    unit="m" />
        <field id="l_mix_sic"    long_name="PBL mixing length sic"    unit="m" />
        <field id="treedrg_ter"    long_name="tree drag profile ter "    unit="-" />
        <field id="treedrg_lic"    long_name="tree drag profile ter "    unit="-" />
        <field id="treedrg_oce"    long_name="tree drag profile ter "    unit="-" />
        <field id="treedrg_sic"    long_name="tree drag profile ter "    unit="-" />
        <field id="l_mixmin_ter"    long_name="min PBL mixing length ter"    unit="m" />
        <field id="l_mixmin_lic"    long_name="min PBL mixing length lic"    unit="m" />
        <field id="l_mixmin_oce"    long_name="min PBL mixing length oce"    unit="m" />
        <field id="l_mixmin_sic"    long_name="min PBL mixing length sic"    unit="m" />
        <field id="dltpbltke_ter"    long_name="TKE difference (w - x)"    unit="m2/s2" />
        <field id="dltpbltke_lic"    long_name="TKE difference (w - x)"    unit="m2/s2" />
        <field id="dltpbltke_oce"    long_name="TKE difference (w - x)"    unit="m2/s2" />
        <field id="dltpbltke_sic"    long_name="TKE difference (w - x)"    unit="m2/s2" />
        <field id="cldtau"    long_name="Cloud optical thickness"    unit="1" />
        <field id="cldemi"    long_name="Cloud optical emissivity"    unit="1" />
        <field id="tke_max"    long_name="TKE max"    unit="m2/s2" operation="maximum"/>
        <field id="concso4"    long_name="Concentration of Sulfate "    unit="kg/m3" />
        <field id="concno3"    long_name="Concentration of Nitrate "    unit="kg/m3" /> 
        <field id="concoa"    long_name="Concentration of Organic Aerosol "    unit="kg/m3" />
        <field id="concbc"    long_name="Concentration of Black Carbon "    unit="kg/m3" />
        <field id="concss"    long_name="Concentration of Sea Salt "    unit="kg/m3" />
        <field id="concdust"    long_name="Concentration of Dust "    unit="kg/m3" />
        <field id="ec550aer"    long_name="Extinction at 550nm"    unit="m^-1" />
        <field id="lwcon"    long_name="Cloud liquid water content"    unit="kg/kg" />
        <field id="iwcon"    long_name="Cloud ice water content"    unit="kg/kg" />
        <field id="temp"    long_name="Air temperature"    unit="K" />
        <field id="theta"    long_name="Potential air temperature"    unit="K" />
        <field id="ovap"    long_name="Specific humidity"    unit="kg/kg" />
        <field id="ovapinit"    long_name="Specific humidity (begin of timestep)"    unit="kg/kg" />
        <field id="oliq"    long_name="Liquid water"    unit="kg/kg" />
        <field id="ocond"    long_name="Condensed water"    unit="kg/kg" />
        <field id="geop"    long_name="Geopotential height"    unit="m2/s2" />
        <field id="geoph" field_ref="geop" long_name="Geopotential height" unit="m" > geop/9.80665 </field>
        <field id="vitu"    long_name="Zonal wind"    unit="m/s" />
        <field id="vitv"    long_name="Meridional wind"    unit="m/s" />
        <field id="vitw"    long_name="Vertical wind"    unit="Pa/s" />
        <field id="pres"    long_name="Air pressure"    unit="Pa" />
        <field id="paprs"    long_name="Air pressure Inter-Couches"    unit="Pa" />
        <field id="mass"    long_name="Masse Couches"    unit="kg/m2" />
        <field id="zfull"    long_name="Altitude of full pressure levels"    unit="m" />
        <field id="zhalf"    long_name="Altitude of half pressure levels"    unit="m" />
        <field id="rneb"    long_name="Cloud fraction"    unit="-" />
        <field id="rnebcon"    long_name="Convective Cloud Fraction"    unit="-" />
        <field id="rnebls"    long_name="LS Cloud fraction"    unit="-" />
        <field id="rneblsvol" long_name="LS Cloud fraction by volume"    unit="-" />
        <field id="rhum"    long_name="Relative humidity"    unit="-" />
	<field id="rhl" long_name="Relative humidity wrt liquid" unit="%" />
	<field id="rhi" long_name="Relative humidity wrt ice" unit="%" />
        <field id="ozone"    long_name="Ozone mole fraction"    unit="-" />
        <field id="ozone_daylight"    long_name="Daylight ozone mole fraction"    unit="-" />
        <field id="upwd"    long_name="saturated updraft"    unit="kg/m2/s" />
        <field id="ep"    long_name="ep"    unit="su" />
        <field id="duphy"    long_name="Physics du"    unit="K/s" />
        <field id="dtphy"    long_name="Physics dT"    unit="K/s" />
        <field id="dqphy"    long_name="Physics dQ"    unit="(kg/kg)/s" />
        <field id="dqlphy"   long_name="Physics dQL"    unit="(kg/kg)/s" />
        <field id="dqsphy"   long_name="Physics dQS"    unit="(kg/kg)/s" />
        <field id="pr_con_l"    long_name="Convective precipitation lic"    unit="-" />
        <field id="pr_con_i"    long_name="Convective precipitation ice"    unit="-" />
        <field id="pr_lsc_l"    long_name="Large scale precipitation lic"    unit="-" />
        <field id="pr_lsc_i"    long_name="Large scale precipitation ice"    unit="-" />
        <field id="re"    long_name="Cloud droplet effective radius"    unit="um" />
        <field id="fl"    long_name="Denominator of Cloud droplet effective radius"    unit="-" />
        <field id="scdnc"    long_name="Cloud droplet number concentration"    unit="m-3" />
        <field id="reffclws"    long_name="Stratiform Cloud Droplet Effective Radius (aerosol diags.)"    unit="m" />
        <field id="reffclwc"    long_name="Convective Cloud Droplet Effective Radius (aerosol diags.)"    unit="m" />
        <field id="lcc3d"    long_name="Cloud liquid fraction"    unit="1" />
        <field id="lcc3dcon"    long_name="Convective cloud liquid fraction"    unit="1" />
        <field id="lcc3dstra"    long_name="Stratiform cloud liquid fraction"    unit="1" />
        <field id="cldwatmxrat"    long_name="Cloud Water Mixing Ratio"    unit="1" />
        <field id="icc3dcon"    long_name="Mass Fraction of Convective Cloud Ice"    unit="kg/kg" />
        <field id="icc3dstra"    long_name="Mass Fraction of Stratiform Cloud Ice "    unit="kg/kg" />
        <field id="cldicemxrat"    long_name="Cloud Ice Mixing Ratio"    unit="1" />
        <field id="clwcon"    long_name="Convective Cloud Liquid water content"    unit="kg/kg" />
        <field id="Mipsh"    long_name="mass flux shed from adiab. ascents"    unit="kg/m2/s" />
        <field id="Ma"    long_name="undilute adiab updraft"    unit="kg/m2/s" />
        <field id="dnwd"    long_name="saturated downdraft"    unit="kg/m2/s" />
        <field id="dnwd0"    long_name="unsat. downdraft"    unit="kg/m2/s" />
        <field id="mc"    long_name="Convective mass flux"    unit="kg/m2/s" />
        <field id="dtdyn"    long_name="Dynamics dT"    unit="K/s" />
        <field id="dqdyn"    long_name="Dynamics dQ"    unit="(kg/kg)/s" />
        <field id="dqldyn"    long_name="Dynamics dQL"    unit="(kg/kg)/s" />
        <field id="dqsdyn"    long_name="Dynamics dQS"    unit="(kg/kg)/s" />
        <field id="dudyn"    long_name="Dynamics dU"    unit="m/s2" />
        <field id="dvdyn"    long_name="Dynamics dV"    unit="m/s2" />
        <field id="dtcon"    long_name="Convection dT"    unit="K/s" />
        <field id="ducon"    long_name="Convection du"    unit="m/s2" />
        <field id="dvcon"    long_name="Convection dv"    unit="m/s2" />
        <field id="dqcon"    long_name="Convection dQ"    unit="(kg/kg)/s" />
        <field id="dtwak"    long_name="Wake dT"    unit="K/s" />
        <field id="dqwak"    long_name="Wake dQ"    unit="(kg/kg)/s" />
        <field id="wake_deltat"    long_name="wake_deltat"    unit="-" />
        <field id="wake_deltaq"    long_name="wake_deltaq"    unit="-" />
        <field id="wake_omg"    long_name="wake_omg"    unit="-" />
        <field id="wdtrainA"    long_name="precipitation from AA"    unit="-" />
        <field id="wdtrainS"    long_name="precipitation from shedding of AA"    unit="-" />
        <field id="wdtrainM"    long_name="precipitation from mixture"    unit="-" />
        <field id="qtaa"    long_name="specific total water in adiabatic ascents"    unit="kg/kg" /> 
        <field id="Clwaa"   long_name="specific condensed water in adiabatic ascents"    unit="kg/kg" />
        <field id="ftd"    long_name="tend temp due aux descentes precip"    unit="-" />
        <field id="fqd"    long_name="tend vap eau due aux descentes precip"    unit="-" />
        <field id="dtlsc"    long_name="Condensation dT"    unit="K/s" />
        <field id="dtlschr"    long_name="Large-scale condensational heating rate"    unit="K/s" />
        <field id="dqlsc"    long_name="Condensation dQ"    unit="(kg/kg)/s" />
        <field id="beta_prec"    long_name="LS Conversion rate to prec"    unit="(kg/kg)/s" />
        <field id="dtvdf"    long_name="Boundary-layer dT"    unit="K/s" />
        <field id="dtvdf_x"  long_name="dtvdf off_wake"    unit="K/s" />
        <field id="dtvdf_w"  long_name="dtvdf within_wake"    unit="K/s" />
        <field id="dtdis"    long_name="TKE dissipation dT"    unit="K/s" />
        <field id="dqvdf"    long_name="Boundary-layer dQ"    unit="(kg/kg)/s" />
        <field id="dqvdf_x" long_name="dqvdf off_wake" unit="(kg/kg)/s" />
        <field id="dqvdf_w" long_name="dqvdf within_wake" unit="(kg/kg)/s" />
        <field id="dteva"    long_name="Reevaporation dT"    unit="K/s" />
        <field id="dqeva"    long_name="Reevaporation dQ"    unit="(kg/kg)/s" />
        <field id="dqlscth"    long_name="dQ therm."    unit="(kg/kg)/s" />
        <field id="dqlscst"    long_name="dQ strat."    unit="(kg/kg)/s" />
        <field id="dtlscth"    long_name="dQ therm."    unit="K/s" />
        <field id="dtlscst"    long_name="dQ strat."    unit="K/s" />
        <field id="ptconvth"    long_name="POINTS CONVECTIFS therm."    unit="-" />
        <field id="ptconv"    long_name="POINTS CONVECTIFS"    unit="-" />
        <field id="ratqs"    long_name="RATQS"    unit="-" />
        <field id="dtthe"    long_name="Thermal dT"    unit="K/s" />
        <field id="duthe"    long_name="Thermal du"    unit="m/s2" />
        <field id="dvthe"    long_name="Thermal dv"    unit="m/s2" />
        <field id="e_th"    long_name="Thermal plume entrainment"    unit="K/s" />
        <field id="lambda_th"    long_name="Thermal plume vertical velocity"    unit="m/s" />
        <field id="q_th"    long_name="Thermal plume total humidity"    unit="kg/kg" />
        <field id="s_th"    long_name="Thermal plume saturation deficit"    unit="kg/kg" />
        <field id="s_env"    long_name="Environment saturation deficit"    unit="kg/kg" />
        <field id="sigma_th"    long_name="Thermal plume gauss variance"    unit="kg/kg" />
        <field id="sigma_env"    long_name="Environment gauss variance"    unit="kg/kg" />
        <field id="d_th"    long_name="Thermal plume detrainment"    unit="K/s" />
        <field id="dqthe"    long_name="Thermal dQ"    unit="(kg/kg)/s" />
        <field id="dtajs"    long_name="Dry adjust. dT"    unit="K/s" />
        <field id="dqajs"    long_name="Dry adjust. dQ"    unit="(kg/kg)/s" />
        <field id="dtswr"    long_name="SW radiation dT"    unit="K/s" />
        <field id="dtsw0"    long_name="CS SW radiation dT"    unit="K/s" />
        <field id="dtlwr"    long_name="LW radiation dT"    unit="K/s" />
        <field id="dtlw0"    long_name="CS LW radiation dT"    unit="K/s" />
        <field id="dtec"    long_name="Cinetic dissip dT"    unit="K/s" />
        <field id="duvdf"    long_name="Boundary-layer dU"    unit="m/s2" />
        <field id="dvvdf"    long_name="Boundary-layer dV"    unit="m/s2" />
        <field id="duoro"    long_name="Orography dU"    unit="m/s2" />
        <field id="dvoro"    long_name="Orography dV"    unit="m/s2" />
        <field id="dulif"    long_name="Orography dU"    unit="m/s2" />
        <field id="dvlif"    long_name="Orography dV"    unit="m/s2" />
        <field id="du_gwd_rando"    long_name="peu importe"    unit="W/m2" />
        <field id="dv_gwd_rando"    long_name="peu importe"    unit="W/m2" />
        <field id="du_gwd_hines" long_name="Hines GWD dU" unit="m/s2" />
        <field id="dv_gwd_hines" long_name="Hines GWD dV" unit="m/s2" />
        <field id="du_gwd_front" long_name="Fronts GWD dU" unit="m/s2" />
        <field id="dv_gwd_front" long_name="Fronts GWD dV" unit="m/s2" />
        <field id="east_gwstress" long_name="Eastward GW Stress" unit="Pa" />
        <field id="west_gwstress" long_name="Westward GW Stress" unit="Pa" />
        <field id="dtoro"    long_name="Orography dT"    unit="K/s" />
        <field id="dtlif"    long_name="Orography dT"    unit="K/s" />
        <field id="dthin"    long_name="Hines GWD dT"    unit="K/s" />
        <field id="tnt"    long_name="Tendency of air temperature"    unit="K s-1" />
        <field id="tntc"    long_name="Tendency of air temperature due to Moist Convection"    unit="K s-1" />
        <field id="tntr"    long_name="Air temperature tendency due to Radiative heating"    unit="K s-1" />
        <field id="tntscpbl"    long_name="Air temperature tendency due to St cloud and precipitation and BL mixing"    unit="K s-1" />
        <field id="tnhus"    long_name="Tendency of specific humidity"    unit="s-1" />
        <field id="tnhusc"    long_name="Tendency of specific humidity due to convection"    unit="s-1" />
        <field id="tnhusscpbl"    long_name="Tendency of Specific humidity due to ST cl, precip and BL mixing"    unit="s-1" />
        <field id="h2o"    long_name="Mass Fraction of Water"    unit="1" />
        <field id="mcd"    long_name="Downdraft COnvective Mass Flux"    unit="kg/(m2*s)" />
        <field id="dmc"    long_name="Deep COnvective Mass Flux"    unit="kg/(m2*s)" />
        <field id="ref_liq"    long_name="Effective radius of convective cloud liquid water particle"    unit="m" />
        <field id="ref_ice"    long_name="Effective radius of startiform cloud ice particle"    unit="m" />
        <field id="stratomask"    long_name="Stratospheric fraction"    unit="-" />
        <field id="heat_volc"    long_name="SW heating rate from volcano"    unit="K/s" />
        <field id="cool_volc"    long_name="LW cooling rate from volcano"    unit="K/s" />
        <field id="pvap"    long_name="pvap intermediary variable" unit="-">pres*ovap*461.5 / (287.04*(1.+ (10.9491/18.0153)*ovap)) </field>
        <field id="oclr"    long_name="Clear sky total water"    unit="kg/kg" />
        <field id="ocld"    long_name="Cloudy sky total water"   unit="kg/kg" />
        <field id="oss"     long_name="ISSR total water"    unit="kg/kg" />
        <field id="ovc"     long_name="In-cloud vapor"    unit="kg/kg" />
        <field id="rnebclr"    long_name="Clear sky fraction"    unit="-" />
        <field id="rnebss"     long_name="ISSR fraction"     unit="-" />
        <field id="rnebseri"   long_name="Cloud fraction"    unit="-" />
        <field id="gammass"    long_name="Supersaturation ratio"    unit="-" />
        <field id="N1ss"       long_name="N1ss"    unit="-" />
        <field id="N2ss"       long_name="N2ss"    unit="-" />
        <field id="drnebsub"   long_name="Cloud fraction change because of sublimation"    unit="s-1" />
        <field id="drnebcon"   long_name="Cloud fraction change because of condensation"   unit="s-1" />
        <field id="drnebtur"   long_name="Cloud fraction change because of turbulence"     unit="s-1" />
        <field id="drnebavi"   long_name="Cloud fraction change because of aviation"       unit="s-1" />
        <field id="qsatl"      long_name="Saturation with respect to liquid water"    unit="-" />
        <field id="qsats"      long_name="Saturation with respect to liquid ice"      unit="-" />
        <field id="flightm"    long_name="Aviation meters flown"      unit="m/s" />
        <field id="flighth2o"  long_name="Aviation H2O emitted"       unit="kg H2O/s" />
        <field id="fcontrP"    long_name="Gridbox fraction with potential persistent contrails"     unit="-" />
        <field id="fcontrN"    long_name="Gridbox fraction with potential non-persistent contrails"     unit="-" />
        <field id="qcontr"     long_name="Contrail qcontr"     unit="Pa" />
        <field id="qcontr2"     long_name="Contrail qcontr2"     unit="kg/kg" />
        <field id="Tcontr"     long_name="Contrail Tcontr"     unit="K" />
    </field_group>

    <field_group id="fields_3Dkp1" grid_ref="grid_glo_presinter" >
        <field id="a_th"    long_name="Thermal plume fraction"    unit="-" />
        <field id="f_th"    long_name="Thermal plume mass flux"    unit="kg/(m2*s)" />
        <field id="w_th"    long_name="Thermal plume vertical velocity"    unit="m/s" />
        <field id="rsucs"    long_name="SW CS upward radiation"    unit="W m-2" />
        <field id="rsdcs"    long_name="SW CS downward radiation"    unit="W m-2" />
        <field id="rlucs"    long_name="LW CS upward radiation"    unit="W m-2" />
        <field id="rldcs4co2"    long_name="Downwelling CS LW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rlucs4co2"    long_name="Upwelling CS LW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsdcs4co2"    long_name="Downwelling CS SW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsucs4co2"    long_name="Upwelling CS SW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rld4co2"    long_name="Downwelling LW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsd4co2"    long_name="Downwelling SW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rlu4co2"    long_name="Upwelling LW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsu4co2"    long_name="Upwelling SW 4xCO2 atmosphere"    unit="W/m2" />
        <field id="rsdcsaf"  long_name="SW clean (no aerosol) CS downward radiation"    unit="W m-2" />
        <field id="rsucsaf"  long_name="SW clean (no aerosol) CS upward radiation"    unit="W m-2" />
        <field id="Vprecip"    long_name="precipitation vertical profile"    unit="-" />
        <field id="kz_max"    long_name="Kz melange max"    unit="m2/s" enabled="FALSE" operation="maximum" />
        <field id="rldcs"    long_name="LW CS downward radiation"    unit="W m-2" />
        <field id="rsu"    long_name="SW upward radiation"    unit="W m-2" />
        <field id="rsd"    long_name="SW downward radiation"    unit="W m-2" />
        <field id="rlu"    long_name="LW upward radiation"    unit="W m-2" />
        <field id="rld"    long_name="LW downward radiation"    unit="W m-2" />
        <field id="kz"    long_name="Kz melange"    unit="m2/s" enabled="FALSE" />
        <field id="evu"    long_name="Eddy viscosity coefficient for Momentum Variables"    unit="m2 s-1" />
    </field_group>
    
    <field_group id="fields_strataer_trac_3D" grid_ref="grid_glo_presnivs" operation="average"/>
    <field_group id="fields_strataer_trac_2D" grid_ref="grid_glo" operation="average"/>

    <field_group id="fields_strataer_3D" grid_ref="grid_glo_presnivs" operation="average" >
        <field id="ext_strat_550"        long_name="Strat. aerosol extinction coefficient at 550 nm"       unit="1/m" />
        <field id="ext_strat_1020"       long_name="Strat. aerosol extinction coefficient at 1020 nm"      unit="1/m" />
        <field id="budg_3D_nucl"         long_name="H2SO4 nucleation mass flux"                            unit="kg(S)/m2/layer/s" />
        <field id="budg_3D_cond_evap"    long_name="H2SO4 net condensation/evaporation mass flux"          unit="kg(S)/m2/layer/s" />
        <field id="budg_3D_ocs_to_so2"   long_name="OCS mass flux converted to SO2"                        unit="kg(S)/m2/layer/s" />
        <field id="budg_3D_so2_to_h2so4" long_name="SO2 mass flux converted to H2SO4"                      unit="kg(S)/m2/layer/s" />
        <field id="budg_3D_backgr_ocs"   long_name="OCS background tendency"                               unit="kg(S)/m2/layer/s" />
        <field id="budg_3D_backgr_so2"   long_name="SO2 background tendency"                               unit="kg(S)/m2/layer/s" />
        <field id="R2SO4"                long_name="H2SO4 mass fraction in aerosol"                        unit="%" />
        <field id="OCS_lifetime"         long_name="OCS lifetime"                                          unit="s" />
        <field id="SO2_lifetime"         long_name="SO2 lifetime"                                          unit="s" />
        <field id="vsed_aer"             long_name="Strat. aerosol sedimentation velocity (mass-weighted)" unit="m/s" />
        <field id="f_r_wet"              long_name="Conversion factor dry to wet aerosol radius"           unit="-" />
    </field_group>

    <field_group id="fields_strataer_2D" grid_ref="grid_glo" operation="average">
        <field id="OD550_strat_only"   long_name="Stratospheric Aerosol Optical depth at 550 nm "        unit="1" />
        <field id="OD1020_strat_only"  long_name="Stratospheric Aerosol Optical depth at 1020 nm "       unit="1" />
        <field id="surf_PM25_sulf"     long_name="Sulfate PM2.5 concentration at the surface"            unit="ug/m3" />
        <field id="budg_dep_dry_ocs"   long_name="OCS dry deposition flux"                               unit="kg(S)/m2/s" />
        <field id="budg_dep_wet_ocs"   long_name="OCS wet deposition flux"                               unit="kg(S)/m2/s" />
        <field id="budg_dep_dry_so2"   long_name="SO2 dry deposition flux"                               unit="kg(S)/m2/s" />
        <field id="budg_dep_wet_so2"   long_name="SO2 wet deposition flux"                               unit="kg(S)/m2/s" />
        <field id="budg_dep_dry_h2so4" long_name="H2SO4 dry deposition flux"                             unit="kg(S)/m2/s" />
        <field id="budg_dep_wet_h2so4" long_name="H2SO4 wet deposition flux"                             unit="kg(S)/m2/s" />
        <field id="budg_dep_dry_part"  long_name="Particle S dry deposition flux"                        unit="kg(S)/m2/s" />
        <field id="budg_dep_wet_part"  long_name="Particle S wet deposition flux"                        unit="kg(S)/m2/s" />
        <field id="budg_emi_ocs"       long_name="OCS emission flux"                                     unit="kg(S)/m2/s" />
        <field id="budg_emi_so2"       long_name="SO2 emission flux"                                     unit="kg(S)/m2/s" />
        <field id="budg_emi_h2so4"     long_name="H2SO4 emission flux"                                   unit="kg(S)/m2/s" />
        <field id="budg_emi_part"      long_name="Particle S emission flux"                              unit="kg(S)/m2/s" />
        <field id="budg_ocs_to_so2"    long_name="OCS to SO2 conversion flux"                            unit="kg(S)/m2/s" />
        <field id="budg_so2_to_h2so4"  long_name="SO2 to H2SO4 conversion flux"                          unit="kg(S)/m2/s" />
        <field id="budg_h2so4_to_part" long_name="H2SO4 to particle conversion flux"                     unit="kg(S)/m2/s" />
        <field id="budg_sed_part"      long_name="Ground sedimentation flux of strat. particles"         unit="kg(S)/m2/s" />
    </field_group>
    
    <field_group  id="fields_NMC" grid_ref="grid_glo_plev" >
<!--  <field id="tnondef" long_name="Undefined value of T" unit="K" detect_missing_value=".true." /> -->
      <field id="ta" long_name="Air temperature" unit="K" detect_missing_value=".true." />
      <field id="zg" long_name="Geopotential height" unit="m" detect_missing_value=".true." />
      <field id="hus" long_name="Specific humidity" unit="1" detect_missing_value=".true." />
      <field id="hur" long_name="Relative humidity" unit="%" detect_missing_value=".true." />
      <field id="ua" long_name="Eastward wind" unit="m s-1" detect_missing_value=".true." />
      <field id="va" long_name="Northward wind" unit="m s-1" detect_missing_value=".true." />
      <field id="wap" long_name="Lagrangian tendency of air pressure" unit="Pa s-1" detect_missing_value=".true." />
<!--  <field id="psbg" long_name="Pressure sfce below ground" unit="%" detect_missing_value=".true." /> -->
      <field id="tro3" long_name="Ozone mole fraction" unit="1e-9" detect_missing_value=".true." />
      <field id="tro3_daylight" long_name="Daylight ozone mole fraction" unit="1e-9" detect_missing_value=".true." />
      <field id="uv" long_name="uv" unit="m2/s2" detect_missing_value=".true." />
      <field id="vxq" long_name="vxq" unit="m/s * (kg/kg)" detect_missing_value=".true." />
      <field id="vT" long_name="vT" unit="mK/s" detect_missing_value=".true." />
      <field id="wq" long_name="wq" unit="(Pa/s)*(kg/kg)" detect_missing_value=".true." />
      <field id="vphi" long_name="vphi" unit="m2/s" detect_missing_value=".true." />
      <field id="wT" long_name="wT" unit="K*Pa/s" detect_missing_value=".true." />
      <field id="u2" long_name="u2" unit="m2/s2" detect_missing_value=".true." />
      <field id="v2" long_name="v2" unit="m2/s2" detect_missing_value=".true." />
      <field id="T2" long_name="T2" unit="K2" detect_missing_value=".true." />
    </field_group>

    <field_group id="fields_trac_2D" grid_ref="grid_glo" >
          <field id="cumRN"    long_name="Cumulated tracer  RNVL1"    unit="-" />
          <field id="cumPB"    long_name="Cumulated tracer  PBVL1"    unit="-" />
          <field id="cumAga"   long_name="Cumulated tracer  Aga"    unit="-" />
          <field id="cumCO2"   long_name="Cumulated tracer  CO2"    unit="-" />
          <field id="cumdRN_dry"  long_name="Surface dry deposition tracer  RNVL1"  unit="- s-1" />
          <field id="cumdPB_dry"  long_name="Surface dry deposition tracer  PBVL1"  unit="- s-1" />
          <field id="cumdAga_dry" long_name="Surface dry deposition tracer  Aga"    unit="- s-1" />
          <field id="cumdCO2_dry" long_name="Surface dry deposition tracer  CO2"    unit="- s-1" />
    </field_group>

    <field_group id="fields_trac_3D" grid_ref="grid_glo_presnivs" >
      <field id="RN"    long_name="Tracer RNVL1"    unit="-" />
      <field id="dRN_vdf"    long_name="Tendance tracer RNVL1"    unit="-" />
      <field id="dRN_the"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_con"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_lessi_impa"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_lessi_nucl"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_insc"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_bcscav"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_evapls"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_ls"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_trsp"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_sscav"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_sat"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="dRN_uscav"    long_name="Tendance tracer  RNVL1"    unit="-" />
      <field id="PB"    long_name="Tracer PBVL1"    unit="-" />
      <field id="dPB_vdf"    long_name="Tendance tracer PBVL1"    unit="-" />
      <field id="dPB_the"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_con"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_lessi_impa"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_lessi_nucl"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_insc"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_bcscav"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_evapls"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_ls"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_trsp"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_sscav"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_sat"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="dPB_uscav"    long_name="Tendance tracer  PBVL1"    unit="-" />
      <field id="Aga"    long_name="Tracer AgaVL1"    unit="-" />
      <field id="dAga_vdf"    long_name="Tendance tracer Aga"    unit="-" />
      <field id="dAga_the"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_con"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_lessi_impa"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_lessi_nucl"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_insc"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_bcscav"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_evapls"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_ls"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_trsp"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_sscav"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_sat"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="dAga_uscav"    long_name="Tendance tracer  Aga"    unit="-" />
      <field id="CO2"    long_name="Tracer CO2VL1"    unit="-" />
      <field id="dCO2_vdf"    long_name="Tendance tracer CO2"    unit="-" />
      <field id="dCO2_the"    long_name="Tendance tracer  CO2"    unit="-" />
      <field id="dCO2_con"    long_name="Tendance tracer  CO2"    unit="-" />
    </field_group>

    <field_group id="fields_solbnd_3D" grid_ref="grid_glo_spectband" >
      <field id="solbnd"    long_name="Top-of-Atmosphere Solar Insolation for each band"    unit="W m-2"  enabled="false" /> <!-- this field is not sent by LMDZ, vertical axis "spectband" is not properly defined -->
    </field_group>

<!-- ----------------------------COSP------------------------ -->
    <field_group src="./field_def_cosp1.xml"/>
    <!-- <field_group src="./field_def_cospv2.xml"/> -->


    <field_group id="fields_AIRS" grid_ref="grid_glo" operation="instant" freq_op="3h">
      <field id="alt_tropo" long_name="Tropopause pressure" unit="hPa" />
      <field id="map_prop_hc" long_name="Proportion of high clouds" unit=" "/>
      <field id="map_prop_hist" long_name="Proportion of high ice semi-transp clouds" unit=" "/>
      <field id="map_emis_hc" long_name="Emissivity of high clouds" unit=" "/>
      <field id="map_iwp_hc" long_name="Ice water path of high clouds" unit="g/m2"/>
      <field id="map_deltaz_hc" long_name="geom thickness of high clouds" unit="m"/>
      <field id="map_pcld_hc" long_name="cloud pressure of high clouds" unit="hPa"/>
      <field id="map_tcld_hc" long_name="cloud temperature of high clouds" unit="K"/>
      <field id="map_emis_hist" long_name="Emissivity of high ice st clouds" unit=" "/>
      <field id="map_iwp_hist" long_name="Ice water path of high ice st clouds" unit="g/m2"/>
      <field id="map_deltaz_hist" long_name="geom thickness of high ice st clouds" unit="m"/>
      <field id="map_rad_hist" long_name="ice crystals radius in high ice st clouds" unit="m"/>
      <field id="map_emis_Cb" long_name="Emissivity of high Cb clouds" unit=" "/>
      <field id="map_pcld_Cb" long_name="cloud pressure of high Cb clouds" unit="hPa"/>
      <field id="map_tcld_Cb" long_name="cloud temperature of high Cb clouds" unit="K"/>
      <field id="map_emis_Anv" long_name="Emissivity of high Anv clouds" unit=" "/>
      <field id="map_pcld_Anv" long_name="cloud pressure of high Anv clouds" unit="hPa"/>
      <field id="map_tcld_Anv" long_name="cloud temperature of high Anv clouds" unit="K"/>
      <field id="map_emis_ThCi" long_name="Emissivity of high ThCi clouds" unit=" "/>
      <field id="map_pcld_ThCi" long_name="cloud pressure of high ThCi clouds" unit="hPa"/>
      <field id="map_tcld_ThCi" long_name="cloud temperature of high ThCi clouds" unit="K"/>
      <field id="map_ntot" long_name="total AIRS cloud fraction" unit=" "/>
      <field id="map_hc" long_name="high clouds AIRS cloud fraction" unit=" "/>
      <field id="map_hist" long_name="high clouds ice st AIRS cloud fraction" unit=" "/>
      <field id="map_Cb" long_name="high clouds Cb AIRS cloud fraction" unit=" "/>
      <field id="map_ThCi" long_name="high clouds ThCi AIRS cloud fraction" unit=" "/>
      <field id="map_Anv" long_name="high clouds Anv AIRS cloud fraction" unit=" "/>
    </field_group>

   <field_group id="field_scalar" operation="instant" grid_ref="grid_scalar">
      <field id="R_ecc" long_name="R_ecc" unit="-" />
      <field id="R_peri" long_name="R_peri" unit="-" />
      <field id="R_incl" long_name="R_incl" unit="deg" />
      <field id="solaire" long_name="solaire" unit="W/m2" />
      <field id="rsun1" long_name="Fraction constante solaire bande 1" unit="W/m2" />
      <field id="rsun2" long_name="Fraction constante solaire bande 2" unit="W/m2" />
      <field id="rsun3" long_name="Fraction constante solaire bande 3" unit="W/m2" />
      <field id="rsun4" long_name="Fraction constante solaire bande 4" unit="W/m2" />
      <field id="rsun5" long_name="Fraction constante solaire bande 5" unit="W/m2" />
      <field id="rsun6" long_name="Fraction constante solaire bande 6" unit="W/m2" />
      <field id="co2_ppm" long_name="co2_ppm" unit="ppm" />
      <field id="CH4_ppb" long_name="CH4_ppb" unit="ppb" />
      <field id="N2O_ppb" long_name="N2O_ppb" unit="ppb" />
      <field id="CFC11_ppt" long_name="CFC11_ppt" unit="ppt" />
      <field id="CFC12_ppt" long_name="CFC12_ppt" unit="ppt" />
<!-- reducing mass 3D variable to atmosphere total mass scalar -->
      <field id="mass_sum_axis"    field_ref="mass" grid_ref="grid_sum_axis" freq_op="1mo" > @mass  </field>
      <field id="mass_sum" field_ref="mass_sum_axis" grid_ref="grid_sum" freq_op="1mo" > @mass_sum_axis*aire  </field>
   </field_group>

</field_definition>
